include ( ../../../../buildcfg.pro )

TEMPLATE	= lib

CONFIG		= qt thread plugin $${BUILDTYPE}

HEADERS		= src/DeformerTool.h \
                  src/DeformSurfel.h \
                  src/ScaleGrid.h

SOURCES		= src/DeformerTool.cpp \
                  src/DeformSurfel.cpp \
                  src/ScaleGrid.cpp

INTERFACES	= UI/DeformerConfigurationWidget.ui

TARGET		= DeformerTool

OBJECTS_DIR     = bin/linux/$${BUILDTYPE}

MOC_DIR		= bin/linux/$${BUILDTYPE}

DESTDIR		= ../../../../bin/linux/$${BUILDTYPE}/Tools

LIBS	       += -L../../../../bin/linux/$${BUILDTYPE} -lCore -lUtilities -lDataTypes

QMAKE_POST_LINK = mkdir -p ../../../../bin/linux/$${BUILDTYPE}/Resources && \
                  cp \
                     Icons/DeformerToolMoveIcon.png \
                     Icons/DeformerToolMoveIcon_disabled.png \
                     Icons/DeformerToolRotationIcon.png \
                     Icons/DeformerToolRotationIcon_disabled.png \
                     ../../../../bin/linux/$${BUILDTYPE}/Resources
